Bug 592645 - (mkgmap) Review Request: mkgmap - Convert OpenStreetMap data for Garmin GPSes
Review Request: mkgmap - Convert OpenStreetMap data for Garmin GPSes
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-05-15 17:48 EDT by Bruce Cowan
Modified: 2012-06-29 18:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 04:47:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bruce Cowan 2010-05-15 17:48:24 EDT
Spec URL: http://bruce89.fedorapeople.org/mkgmap.spec
SRPM URL: http://bruce89.fedorapeople.org/mkgmap-0-0.1.1647svn.fc13.src.rpm
Description: I've just packaged mkgmap. This is a reqest for a review. Also, this is my first package, so I also looking for a sponsor.

mkgmap is a Java program to convert OSM data for Garmin GPSes.
Comment 1 Bruce Cowan 2010-05-21 18:37:36 EDT
Builds on koji http://koji.fedoraproject.org/koji/taskinfo?taskID=2201997
Comment 2 chris desjardins 2010-06-23 14:36:42 EDT
Hi Bruce,
I just took a quick look. I wonder if you want to update to the latest svn? Also, I wonder if you want to add the ChangeLog to %doc? I am happy to review the package further but I am unable to sponsor.
Comment 3 Bruce Cowan 2010-06-26 06:22:24 EDT
I'll get to that probably tomorrow, I've been on holiday the last week.
Comment 4 Bruce Cowan 2010-06-27 17:42:03 EDT
I've updated the package, spec at http://bruce89.fedorapeople.org/mkgmap.spec; srpm at http://bruce89.fedorapeople.org/mkgmap-0-0.2.1653svn.fc13.src.rpm
Comment 5 Till Maas 2010-06-30 10:00:16 EDT
Bruce, did you perform some unofficial reviews?
Comment 6 Bruce Cowan 2010-06-30 13:57:52 EDT
Not yet, but I will do so soon.
Comment 9 Jason Tibbitts 2010-11-19 14:18:54 EST
The last update isn't a source rpm, it's the already-built package.  Since the scratch build has already been garbage collected, there's no way we can access it.
Comment 11 Jason Tibbitts 2010-11-22 23:40:02 EST
Unfortunately the build fails for me, but I don't know enough about Java to say why.

compile-pbf:
build:
     [copy] Copying 388 files to /builddir/build/BUILD/mkgmap-r1728/build/classes
dist:
    [mkdir] Created dir: /builddir/build/BUILD/mkgmap-r1728/dist
    [mkdir] Created dir: /builddir/build/BUILD/mkgmap-r1728/dist/doc/api
      [jar] Building jar: /builddir/build/BUILD/mkgmap-r1728/dist/mkgmap.jar
     [copy] Copying 18 files to /builddir/build/BUILD/mkgmap-r1728/dist/doc
BUILD FAILED
/builddir/build/BUILD/mkgmap-r1728/build.xml:207: Warning: Could not find resource file "/opt/jars/protobuf-2.3.0/protobuf.jar" to copy.
Total time: 4 seconds

A scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2617989
Comment 12 Alexander Kurtakov 2010-11-23 01:20:33 EST
Bruce, do you still need sponsorship?
Comment 13 Jason Tibbitts 2010-11-23 09:22:32 EST
A quick ".fasinfo bruce89" on IRC shows that he's not in the packager group and so requires a sponsor.
Comment 14 Bruce Cowan 2010-11-23 11:28:27 EST
Yes, I'm looking for a sponsor. I also have another package request that I should file some time soon, and I will do some reviews as well.
Comment 15 Alexander Kurtakov 2010-11-23 15:44:24 EST
I'll do this one.
Comment 16 Alexander Kurtakov 2010-11-23 15:51:04 EST
Bruce, your package really tries to use some jars from /opt and they are not there on a stock Fedora system. There is protobuf-java package please make use of it to fix the build.
Comment 17 Bruce Cowan 2010-11-23 16:49:02 EST
According to http://www.mkgmap.org.uk/pipermail/mkgmap-dev/2010q4/009248.html, mkgmap requires protobuf.jar (which is in protobuf-java), and also osmprotobuf.jar (which is not packaged). Apparently osmprotobuf is in Osmosis.
Comment 18 Bruce Cowan 2010-11-23 18:02:45 EST
Looking at the huge numbers of jars that osmosis bundles, I suspect this going to be far too difficult for me.
Comment 19 Bruce Cowan 2010-11-23 19:02:51 EST
Sorry for the spam, but I've found (thanks to #osm on OFTC) the source for osmprotobuf.jar, which is https://github.com/scrosby/OSM-binary. However, I notice that there is no licence for this code. I will e-mail the author to ask him to add/clarify the licence.
Comment 20 Alexander Kurtakov 2010-11-24 02:18:03 EST
Please note that you will have to open a new bugreport for the osmprotobuf as it is a different project released separately. And make the new bug report blocks this one.
Comment 21 Bruce Cowan 2010-12-05 11:07:46 EST
Due to having not received a reply yet, not knowing if that source I found will even build, and that I no longer use a Garmin GPS, I'm putting this review on hold.
Comment 22 Alexander Kurtakov 2010-12-05 13:06:02 EST
(In reply to comment #21)
> Due to having not received a reply yet, not knowing if that source I found will
> even build, and that I no longer use a Garmin GPS, I'm putting this review on
> hold.

Sorry but I missed your quetion.
We can not accept any package with unknown license. Even if there is no license file it would have been ok if the source files contained license headers which they don't.
Comment 23 Bruce Cowan 2010-12-05 16:54:58 EST
Sorry, that was badly phrased. I know about Fedora's policy about licences, and I respect that. I was just saying that I have no reply to the e-mail I sent to the author to ask about the licence yet, and so can't work on this at the moment.
Comment 24 Steve Ratcliffe 2011-01-02 07:30:07 EST
(In reply to comment #17)
> According to http://www.mkgmap.org.uk/pipermail/mkgmap-dev/2010q4/009248.html,
> mkgmap requires protobuf.jar (which is in protobuf-java), and also
> osmprotobuf.jar (which is not packaged). Apparently osmprotobuf is in Osmosis.

I want to clarify that the protobuf jars enable optional functionality and
are not required (any longer) to build mkgmap - the referenced message from the
mailing list is no longer relevant as the build process was changed shortly
after.  Now the build file will detect that the jars
are not present and simply not build the protobuf format plugin.

Reading protobuf is not particularly useful at the current time as in most cases
you will be reading files produced by the splitter program which does not
currently write in the protobuf based format yet.

So I think that it is entirely acceptable to build without protobuf support
until such time as the osmprotobuf jars are more easily available.
Comment 25 Bruce Cowan 2011-01-02 14:49:47 EST
(In reply to comment #24)
> I want to clarify that the protobuf jars enable optional functionality and
> are not required (any longer) to build mkgmap - the referenced message from the
> mailing list is no longer relevant as the build process was changed shortly
> after.  Now the build file will detect that the jars
> are not present and simply not build the protobuf format plugin.
> 
> Reading protobuf is not particularly useful at the current time as in most
> cases
> you will be reading files produced by the splitter program which does not
> currently write in the protobuf based format yet.
> 
> So I think that it is entirely acceptable to build without protobuf support
> until such time as the osmprotobuf jars are more easily available.

Thank you for clarifiying this. I have updated to r1760.

Spec : http://bruce89.fedorapeople.org/specs/mkgmap.spec
SRPM: http://bruce89.fedorapeople.org/rpms/mkgmap-0-0.7.1760svn.fc14.src.rpm
Comment 26 Alexander Kurtakov 2011-01-25 17:10:19 EST
Build still fails.

BUILD FAILED
/home/akurtakov/work/rpmeditor-demo/mkgmap/BUILD/mkgmap-r1760/build.xml:207: Warning: Could not find resource file "/opt/jars/protobuf-2.3.0/protobuf.jar" to copy.

Total time: 9 seconds
Comment 27 Alexander Kurtakov 2011-05-19 04:47:17 EDT
Bruce, 
I'm closing this bug now.
Please reopen once you gain interest again.

Note You need to log in before you can comment on or make changes to this bug.